Container Registries

Generated on 7 Aug 2026

Base URL https://api.paperspace.com/v1

GET List container registries

/container-registries
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Lists container registries for the current team.

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: dtCreated optional

Order results by one of these fields.

Default: dtCreated
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/container-registries"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
dtCreated string (date-time) required

The date the container registry was created

dtModified string (date-time) required

The date the container registry was last modified

id string required

The id of the container registry.

kind string (enum) required

The kind of container registry

name string required

The name of the container registry.

namespace string required
username string required
nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "dtCreated": "2019-08-24T14:15:22Z",
      "dtModified": "2019-08-24T14:15:22Z",
      "id": "string",
      "kind": "other",
      "name": "string",
      "namespace": "string",
      "url": "string",
      "username": "string"
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

POST Create a container registry

/container-registries
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Creates a container registry for the current team.

Request Body: application/json

kind string (enum) optional

The kind of provider the registry is. If provided, the registry will be validated against the provider's rules.

name string required

The name of the container registry.

namespace string required
username string required
Content type application/json
{
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "password": "string",
  "url": "string",
  "username": "string"
}
curl -X POST \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "password": "string",
  "url": "string",
  "username": "string"
}' \
  "https://api.paperspace.com/v1/container-registries"

Responses

200

Successful response

dtCreated string (date-time) required

The date the container registry was created

dtModified string (date-time) required

The date the container registry was last modified

id string required

The id of the container registry.

kind string (enum) required

The kind of container registry

name string required

The name of the container registry.

namespace string required
username string required
default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "id": "string",
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "url": "string",
  "username": "string"
}
{
  "code": "string",
  "message": "string"
}

GET List container registries

/container-registries/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Lists container registries for the current team.

Path Parameters

id string required

The id of the container registry.

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/container-registries/{id}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the container registry was created

dtModified string (date-time) required

The date the container registry was last modified

id string required

The id of the container registry.

kind string (enum) required

The kind of container registry

name string required

The name of the container registry.

namespace string required
username string required
default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "id": "string",
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "url": "string",
  "username": "string"
}
{
  "code": "string",
  "message": "string"
}

PUT Update a container registry

/container-registries/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Updates a container registry for the current team.

Path Parameters

id string required

The id of the container registry.

Request Body: application/json

kind string (enum) optional

The kind of provider the registry is. If provided, the registry will be validated against the provider's rules.

name string optional

The name of the container registry.

namespace string optional
password string optional
username string optional
Content type application/json
{
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "password": "string",
  "url": "string",
  "username": "string"
}
curl -X PUT \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "password": "string",
  "url": "string",
  "username": "string"
}' \
  "https://api.paperspace.com/v1/container-registries/{id}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the container registry was created

dtModified string (date-time) required

The date the container registry was last modified

id string required

The id of the container registry.

kind string (enum) required

The kind of container registry

name string required

The name of the container registry.

namespace string required
username string required
default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "id": "string",
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "url": "string",
  "username": "string"
}
{
  "code": "string",
  "message": "string"
}

DELETE Delete a container registry

/container-registries/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Deletes a container registry for the current team.

Path Parameters

id string required

The id of the container registry.

curl -X DELETE \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/container-registries/{id}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the container registry was created

dtModified string (date-time) required

The date the container registry was last modified

id string required

The id of the container registry.

kind string (enum) required

The kind of container registry

name string required

The name of the container registry.

namespace string required
username string required
default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "id": "string",
  "kind": "other",
  "name": "string",
  "namespace": "string",
  "url": "string",
  "username": "string"
}
{
  "code": "string",
  "message": "string"
}

GET Test a container registry connection

/container-registries/{id}/test-connection
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Validate that a container registry can be connected to using the provided credentials.

Path Parameters

id string required

The id of the container registry.

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/container-registries/{id}/test-connection"

Responses

200

Successful response

error string optional

The error message, if any

success boolean required

Whether the connection was successful

default

Error response

code string required
details object optional
message string required
{
  "error": "string",
  "success": true
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.